<?php
namespace ProVM\Performance;

use GuzzleHttp\Client;
use PHPUnit\Framework;

class APITest extends Framework\TestCase
{
    public function testLoad(): void
    {
        $client = new Client(['base_uri' => 'http://proxy']);
        $start = microtime(true);
        $response = $client->get('/api', ['headers' => ['Authorization'  => 'Bearer ' . md5($_ENV['API_KEY'])]]);
        $end = microtime(true);
        $this->assertLessThanOrEqual(1000, $end - $start);
    }
}
